

<mat-tab-group>
  <mat-tab label="Pokemon Detail">
    <div class="container">
      <div class="row">
        <mat-grid-list cols="3" rowHeight="1:1">
          <mat-grid-tile>
            <mat-card class="example-card example-item">
              <mat-card-header>
                <mat-card-title>{{ pokemonDetail['name'] }}</mat-card-title>
                <mat-card-subtitle *ngFor="let type of pokemonDetail['types']">Type: {{type.type.name}}</mat-card-subtitle>
              </mat-card-header>
              <img mat-card-image  class="with-image"   src="{{pokemonDetail['sprites']['front_default'] || null}}" alt="pokemon">
              <mat-card-content>
              </mat-card-content>
            </mat-card>
          </mat-grid-tile>
            <mat-grid-tile>
              <mat-list role="list">
                <mat-list-item role="listitem" >Pokemon Stats</mat-list-item>
                <mat-list-item role="listitem" *ngFor="let stat of pokemonDetail['stats']" >{{stat.stat.name}} : {{stat.base_stat}}</mat-list-item>
              </mat-list>
            </mat-grid-tile>
            <mat-grid-tile>
              <mat-list role="list">
                <mat-list-item role="listitem" >Evolution Chain</mat-list-item>
                <mat-list-item role="listitem" *ngIf="flagEvolution">1. {{chainEvolution['chain']['species'].name}}</mat-list-item>
                <mat-list-item role="listitem" *ngIf="flagEvolution">2. {{chainEvolution['chain']['evolves_to'][0]['species'].name}}</mat-list-item>
                <mat-list-item role="listitem" *ngIf="flagEvolution">3. {{chainEvolution['chain']['evolves_to'][0]['evolves_to'][0]['species'].name}}</mat-list-item>
              </mat-list>
            </mat-grid-tile>

          </mat-grid-list>
      </div>
    </div>
  </mat-tab>
  <mat-tab label="Moves">

        <mat-form-field>
          <mat-label>Filter</mat-label>
          <input matInput (keyup)="applyFilterc($event)" placeholder="Search move" #input>
        </mat-form-field>

        <div class="mat-elevation-z8">
          <table mat-table [dataSource]="dataSource" matSort>


            <!-- Progress Column -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Movimiento </th>
              <td mat-cell *matCellDef="let row"> {{row.move.name}} </td>
            </ng-container>


            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

            <!-- Row shown when there is no matching data. -->
            <tr class="mat-row" *matNoDataRow>
              <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
            </tr>
          </table>

          <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
        </div>

  </mat-tab>
</mat-tab-group>
